---
layout: job_page
title: "Prometheus Engineer"
---

## Responsibilities

* Manage day-to-day maintenance and evolution of GitLab's Prometheus monitoring and alerting infrastructure
* Bundle Prometheus as an out-of-the-box monitoring solution for GitLab CE/EE packages
* Contribute to the [Prometheus open source project](https://github.com/prometheus)
* Build and maintain a GitLab.com public monitoring gateway
* Help migrate our current performance monitoring solution to Prometheus
* Improve coverage of GitLab performance monitoring
* Measure applications deployed with GitLab (e.g. Mattermost)
* Create automated alerts to notify team members of regressions
* Document answers and improve existing documentation
* Write blog posts relevant to the community

## Requirements

* Experience writing production-level applications in Go
* Experience with managing large amounts of telemetry
* Experience developing time-series databases
* You have contributions in the [Prometheus open source project](https://github.com/prometheus)

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find her/his job title on our [team page](/team).


* Qualified applicants receive a short questionnaire from our Global Recruiters
* Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
* Next, candidates will be invited to schedule a first interview with the Prometheus Lead
* Candidates will then be invited to schedule an interview with the Senior Product Manager, Prometheus
* Candidates will then be invited to schedule an interview with the Director of Backend
* Candidates will be invited to schedule a third interview with our VP of Engineering
* Finally, candidates will interview with our CEO
* Successful candidates will subsequently be made an offer via email


Additional details about our process can be found on our [hiring page](/handbook/hiring).


<%= partial "includes/apply_and_about" %>
